/*---------------------------------------------------------------------------
 * COPYRIGHT NOTIFICATION (c) 2025 HMS Industrial Networks AB
 *
 * This program is the property of HMS Industrial Networks AB.
 * It may not be reproduced, distributed, or used without permission
 * of an authorized company official.
 *-------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------
 * THIS IS A GENERATED FILE THAT REPRESENTS A PUBLIC KEY IN COSE FORMAT
 * FOR MORE INFORMATION, VISIT: https://datatracker.ietf.org/doc/html/rfc8152#section-7
 *-------------------------------------------------------------------------*/

#ifndef _MANIFEST_PUBLIC_ECC_KEY_H_
#define _MANIFEST_PUBLIC_ECC_KEY_H_

// The CBOR array is generated according to: https://datatracker.ietf.org/doc/html/rfc7049#section-2.1
const unsigned char SUIT_MANIFEST_PK[] = {
    0xA4,  //# map(4)
    0x01,  //# unsigned(1) / 1 = kty /
    0x02,  //# unsigned(2) / 2 = EC2 /
    0x20,  //# negative(0) / -1 = crv /
    0x01,  //# unsigned(1) / 1 = P-256 /

    0x21,  //# negative(1) / -2 = x /
    0x58, 0x20,  //# bytes(32)
    0x8C, 0xF6, 0xD7, 0x83, 0x64, 0x0A, 0x63, 0x68,
    0x04, 0x25, 0xD2, 0xAA, 0x15, 0x61, 0x4C, 0x9A,
    0xCC, 0x8F, 0x34, 0x13, 0x74, 0x89, 0x18, 0xB9,
    0xC2, 0x64, 0x54, 0xF5, 0xB3, 0xAA, 0x18, 0xBB,    // X coordinate bytes

    0x22,  //# negative(2) / -3 = y /
    0x58, 0x20,  //# bytes(32)
    0x52, 0x84, 0xD6, 0xFB, 0x7C, 0x3D, 0x54, 0x49,
    0xBD, 0x81, 0xB3, 0x42, 0x98, 0x7C, 0x69, 0x02,
    0xE8, 0x9E, 0x64, 0x72, 0x0A, 0x11, 0xE9, 0xC9,
    0x51, 0xD2, 0xCB, 0x4F, 0xD7, 0xAF, 0x69, 0xFD     // Y coordinate bytes
};

const unsigned char *SUIT_MANIFEST_PK_X = &SUIT_MANIFEST_PK[8];  // Start of x coordinate
const unsigned char *SUIT_MANIFEST_PK_Y = &SUIT_MANIFEST_PK[43]; // Start of y coordinate

#endif /* _MANIFEST_PUBLIC_ECC_KEY_H_ */

